Bug 1220007 - Please add Gnome Tweak Tool by default in Workstation image
Please add Gnome Tweak Tool by default in Workstation image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-productimg-workstation (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On: 1296290
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-08 23:30 EDT by William Moreno
Modified: 2017-04-25 15:58 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 16:13:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Advanced settings mockup (91.60 KB, image/png)
2015-05-09 08:44 EDT, Márcio
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 749172 None None None Never

  None (edit)
Description William Moreno 2015-05-08 23:30:28 EDT
Yes, this is lite #693336

Please see:

https://blogs.gnome.org/uraeus/2015/05/07/summary-of-fedora-workstation-feedback/

Many people want to get Gnome Tweak Tool by default in the Workstation, or in the other hand the Gnome Tweak Tool funtionality being merge in control-center
Comment 1 Greg` 2015-05-08 23:58:04 EDT
this should be made default in workstation, perhaps more users would come to Fedora if it were.  its time Fedora Listens cause they haven't been lately
Comment 2 Sergey Leuhin 2015-05-09 05:04:20 EDT
+1

It'll also be very cool to save gnome settings including list of installed extensions and their preferences in a file or in a cloud to restore them easily after os reinstallation, but it seems to be gnome's task, not fedora's.
Comment 3 Márcio 2015-05-09 07:58:19 EDT
+1
Gnome-tweak-tool is a very important app to make gnome fit in user needs.
Comment 4 mlaverdiere 2015-05-09 08:30:23 EDT
+1
In order to have a consistent/coherent experience for the new comers to Fedora/GNOME, it should also be included in the (GNOME) settings.
Comment 5 Márcio 2015-05-09 08:44:21 EDT
Created attachment 1023743 [details]
Advanced settings mockup

Access gnome-tweak-tool directly of gnome-control-center.
Comment 6 Emanuele Cipolla 2015-05-09 09:54:22 EDT
+1, with access from GNOME Control Center
I was going to propose the same but Marcio beat me.
Comment 7 q2dg 2015-05-09 12:45:58 EDT
+1 , yeah!!
Comment 8 Hapoofesgeli 2015-05-09 14:36:56 EDT
I don't agree if it's going to be included just as another application under the menu since those options are not really needed for normal users and might bring up new problems due misusage for them, so no matter how it gets included, it shouldn't be on the way of users unless they really need it and know what they're doing.
But it's a good idea to have it as "Advanced" option in Settings, although the approach of the previous mockup seems OK, I would like to see it better integrated as i don't like having settings related to one component in two different places, though it will either need heavily patching Settings or some upstream discussion as Sergey Leuhin mentioned.
Comment 9 Márcio 2015-05-09 15:01:23 EDT
Can gnome-tweak-tool be embedded (just like the other settings) on gnome-control-center without need of complete rewrite?

gnome-tweak-tool is writed in python and gnome-control-center in C.

I ask this becouse in early days of gnome3 when I install deja-dup backup tool it put its options on a new gnome-control-center item.
Comment 10 William Moreno 2015-05-09 18:17:41 EDT
I like the idea to get these options of Gnome Tweak Tool in the control-center under advanced settings.

Look like this can become in a formal request to the community of user to the developer community of Gnome to include these option in the gnome-control-center :)
Comment 11 William Moreno 2015-05-09 18:25:57 EDT
I have opened the bug in the gnome bugzilla to ask about include the gnome tweak tool in the control center

Can see : https://bugzilla.gnome.org/show_bug.cgi?id=749172
Comment 12 Sumit Bhardwaj 2015-05-10 03:02:09 EDT
+1

Tweak tool, for all practical purposes, is not optional. Its actually required all the time to configure settings that are not exposed in normal control center applets. At least that's the case with me and my family members.

However, I am also in favor of adding it to somewhere in control center instead of main menu. openSUSE Tumbleweed has it there already (Don't know about the regular release) so I think it won't be that hard. The only hard step to take is deciding whether to include it or not and I personally see no reason why it cannot be included.
Comment 13 Sumit Bhardwaj 2015-05-10 03:06:32 EDT
Sorry for double posting. I don't know whether I am taking it too far, but apart from Tweak tool, Dconf-Editor is another very handy utility that I always need for my Fedora installation. In fact, post install and initial update, tweak tool and dconf-editor are the first things I install. General users may not need it but anybody using the system for development or is a power user in some other sense will always appreciate its inclusion by default.
Comment 14 Rabin 2015-05-10 06:58:09 EDT
+1
Comment 15 Márcio 2015-05-10 08:00:26 EDT
+1
Comment 16 William Moreno 2015-05-10 09:51:01 EDT
Gnome bug was closed as nonbug .... but OpenSuse folks path the Gnome Tweak Tool to be included in Gnome Control Center and install the g-t-t by default:

https://bugzilla.opensuse.org/show_bug.cgi?id=930333

https://build.opensuse.org/package/view_file/openSUSE:Factory/gnome-control-center/gnome-control-center-allow-extra-tools-in-shell.patch?expand=1

So Gnome folks do not looks like to include this options in Control Center path the g-t-t can work fine.

Looks like Mageia can take a similiar aproach:

https://bugs.mageia.org/show_bug.cgi?id=15899

:-/
Comment 17 Elder Marco 2015-05-10 14:42:11 EDT
+1

This is an important tool.
Comment 18 Medic Momcilo 2015-05-10 14:48:32 EDT
+1
Comment 19 Robert Prömper 2015-05-10 22:59:19 EDT
+1

Sad to see a fast "won't fix" over at gnome.
But at least having gtt installed by default on most desktops would help.

Not for my personal installs but for supporting others.
Comment 20 Sumit Bhardwaj 2015-05-10 23:41:40 EDT
@ Robert Prömper

Well it was quite understandable from Gnome team's side. They have this stand since years and they actually are very stubborn when it comes to incorporating requests from their users. They kind of work on their own, the thing they are famous/infamous for.

However, Fedora Workstation is an OS product. Although many people on Gnome team are also Fedora Developers and vice versa, it is NOT Gnome. So while for Gnome team, it doesn't matter to provide a complete experience to user, for Fedora Workstation team it does. And as an OS distribution, they can make this change at distribution level while keeping the upstream "clean".

I will again say, dconf-editor and tweak tool are necessary components for developers and at least tweak tool is required by normal users as well to do settings and apply their themes. Control Center, in my humble opinion is where these two belong.
Comment 21 Pravin Satpute 2015-05-11 06:18:16 EDT
+1 Its good to provide some tweaking capability to users by default :)
Comment 22 Mike McLean 2015-05-11 12:09:08 EDT
+1 I would not even use Gnome3 without this tool
Comment 23 Robert Prömper 2015-05-11 12:37:45 EDT
@ Sumit Bhardwaj
I know that the Gnome team isn't famous for being amenable to advice, but I thought things were changing atm.

On the other hand, as long as Gnome folks doesn't decide to release a GnomeOS it up to the distributions to ship a compelling user experience. It would be nice to see some consent across distributions to create a similar "advanced" option.

Regarding the dconf-Editor thats more a presentation of a configuration than a user interface, so I wouldn't link that to users if it were my decision.
Comment 24 Neville A. Cross 2015-05-11 13:31:12 EDT
+1 I always come to Gnome Tweak Tool for several tweaks that make my use of gnome more productive. Date on top, open new instances when click on dash (favorite bar), just to mention a couple. I install Gnome Tweak Tool just after yum plugins that I like.
Comment 25 javierwilson 2015-05-11 15:29:26 EDT
+1 on of the first things I do whenever I install Fedora (to be used as a workstation)  is install gnome tweak tool.
Comment 26 William Moreno 2015-05-11 16:32:22 EDT
https://fedorahosted.org/fesco/ticket/1439

https://lists.fedoraproject.org/pipermail/desktop/2015-May/012113.html

repoquery --requires gnome-tweak-tool
/bin/sh
/usr/bin/env
gnome-shell
gnome-shell-extension-user-theme
pygobject3
python(abi) = 2.7

Looks like gnome-tweak-tool will have the same problem than yum with the Python 3 by default feature.

There is a port to python3 request ... so if the GTT support python 3 and requires are most of then present in the workstation image do not see any technical problems

https://bugzilla.gnome.org/show_bug.cgi?id=740219
Comment 27 Michael Catanzaro 2015-05-11 22:13:03 EDT
OK, I think that's enough +1 comments, we get the point, people want Tweak Tool. :) There is a discussion on the desktop list; feel free to participate there as well: https://lists.fedoraproject.org/pipermail/desktop/2015-May/012113.html

Note that you can install it in two clicks by tying "tweak" into the shell overview and clicking the Tweak Tool result if it's not installed.

Question: what are the most important settings in Tweak Tool? (Which have you changed yourself?) Maybe some of these really belong in System Settings proper, regardless.

(In reply to Márcio from comment #9)
> Can gnome-tweak-tool be embedded (just like the other settings) on
> gnome-control-center without need of complete rewrite?
> 
> gnome-tweak-tool is writed in python and gnome-control-center in C.
> 
> I ask this becouse in early days of gnome3 when I install deja-dup backup
> tool it put its options on a new gnome-control-center item.

We don't allow external panels anymore, so it would have to be rewritten as part of the gnome-control-center codebase, indeed. openSUSE just launches the app when you click on it, which is very easy to do, but unprofessional: the rest of the panels are properly-integrated, and Tweak Tool shouldn't be different.
Comment 28 Sumit Bhardwaj 2015-05-11 22:44:37 EDT
@Robert Prömper Ya, as I said, I might be taking it too far :) DConf editor is something that might not be useful to all.


@Michael Catanzaro
I posted this in the Gnome Bugzilla bug also and you have replied as well, but for the sake of completeness, below are the features that are most used in my opinion:

1. Themes Selection
2. Extension Configuration
3. Fonts (and hinting/anti-aliasing/scaling factor)
4. Wallpaper Options 
5. HiDPI configuration (although if this can be handled automatically, then better. Because the option caused me some headache in the past when I enabled it accidentally on a "normal" machine).

BTW, I agree with your comments about broken themes, but can't we provide that with a little bit of warning instead of not giving at all? Also extensions configuration is something that is already there, but there is no way to open the UI.
Comment 29 Márcio 2015-05-12 00:28:50 EDT
(In reply to Michael Catanzaro from comment #27)

 
> We don't allow external panels anymore, so it would have to be rewritten as
> part of the gnome-control-center codebase, indeed. openSUSE just launches
> the app when you click on it, which is very easy to do, but unprofessional:
> the rest of the panels are properly-integrated, and Tweak Tool shouldn't be
> different.

Thanks for the clarification.

If someone rewrite GTT, will gnome accept it on GCC?

About most important settings, I agree with @Sumit Bhardwaj.
Comment 30 Alexander Bisogiannis 2015-05-12 02:26:11 EDT
How about a simple, ignorance proof, usability exercise:

Try to configure an "app" to autostart.

IMO, this is basic functionality that should be in the "normal" settings, let alone in an external application.

Plus, fix Help, because it apparently does not know what "autostart" means and so is fails to fulfill it's purpose in life, i.e. provide Help.
Comment 31 Michael Catanzaro 2015-05-12 11:44:35 EDT
(In reply to Alexander Bisogiannis from comment #30)
> How about a simple, ignorance proof, usability exercise:
> 
> Try to configure an "app" to autostart.
> 
> IMO, this is basic functionality that should be in the "normal" settings,
> let alone in an external application.
> 
> Plus, fix Help, because it apparently does not know what "autostart" means
> and so is fails to fulfill it's purpose in life, i.e. provide Help.

We don't currently support autostarting apps, so you wouldn't expect to find it in Help.
Comment 32 Omar Berroteran 2015-05-12 18:36:19 EDT
+1 I always come to Gnome Tweak Tool for several tweaks that make my use of gnome more productive. Date on top, open new instances when click on dash (favorite bar), just to mention a couple. I install Gnome Tweak Tool just after yum plugins that I like.
Comment 33 Márcio 2015-05-12 19:10:10 EDT
(In reply to Michael Catanzaro from comment #31)
> We don't currently support autostarting apps, so you wouldn't expect to find
> it in Help.

Why not support autostarting apps?
Comment 34 Matthew Miller 2015-05-12 19:18:21 EDT
(In reply to Márcio from comment #33)
> (In reply to Michael Catanzaro from comment #31)
> > We don't currently support autostarting apps, so you wouldn't expect to find
> > it in Help.
> Why not support autostarting apps?


Hi Márcio. This bug is long enough as it is; please take that conversation to the (upstream GNOME, most productively) mailing list. Thanks!
Comment 35 Márcio 2015-05-12 23:25:21 EDT
ok.
Comment 36 Jan Kurik 2015-07-15 10:10:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 37 Michael Catanzaro 2016-01-06 16:13:49 EST
I think, rather than keep this open forever, we should be realistic about what we're willing to support. tweak-tool has a bunch of options that we've decided not to support. What we do want to support should go into control-center. If you want to use the tweak-tool settings, they are there for you to enjoy, and we don't want to intentionally break them, but they're also settings that we don't want to advertise by default.
Comment 38 Simon 2017-04-25 15:58:19 EDT
I would like to pick up on this conversation again. I find it really strange that being able to enable minimize or maximize options in windows, adjusting font settings, managing etc should not be supported. Maybe if there is a good explanation why people shouldn't have such choices there would be less disbelief at the above stance. Gnome extensions are listed in the software centre so the argument that these are services that users should not be able to manage easily is invalid.

Note You need to log in before you can comment on or make changes to this bug.